# IpeAllAttributes Class Reference
[Ipe Attributes]

Collection of all object attributes. More...

List of all members.

## Public Member Functions

- IpeAllAttributes ()

## Public Attributes

- IpeAttribute iStroke
- IpeAttribute iFill
- IpeAttribute iDashStyle
- IpeAttribute iLineWidth
- IpeAttribute iTextSize
- IpeAttribute iMarkSize
- IpeAttribute iArrowSize
- bool iForwardArrow
- bool iBackwardArrow
- bool iTransformable
- int iMarkShape

## Detailed Description

Collection of all object attributes.

## Constructor & Destructor Documentation

IpeAllAttributes::IpeAllAttributes | ( |  | ) |

| Constructor makes all null attributes.

## Member Data Documentation

IpeAttribute IpeAllAttributes::iStroke

| Stroke color.

IpeAttribute IpeAllAttributes::iFill

| Fill color.

IpeAttribute IpeAllAttributes::iDashStyle

| Dash style.

IpeAttribute IpeAllAttributes::iLineWidth

| Line width.

IpeAttribute IpeAllAttributes::iTextSize

| Text size.

IpeAttribute IpeAllAttributes::iMarkSize

| Mark size.

IpeAttribute IpeAllAttributes::iArrowSize

| Arrow size.

bool IpeAllAttributes::iForwardArrow

| Arrow forward?

bool IpeAllAttributes::iBackwardArrow

| Arrow backward?

bool IpeAllAttributes::iTransformable

| Text transformable by default?

int IpeAllAttributes::iMarkShape

| Shape of mark objects.

The documentation for this class was generated from the following files:

- ipeobj.h
- ipeobj.cpp